Bug 530238 - Annotation Support in Evince is Missing?
Summary: Annotation Support in Evince is Missing?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 12
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-21 23:33 UTC by David Le Sage
Modified: 2012-05-25 10:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-03 15:34:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 168304 None None None Never
Red Hat Bugzilla 825198 None None None Never

Internal Links: 825198

Description David Le Sage 2009-10-21 23:33:10 UTC
Description of problem:
This is more of a query than a bug report at this stage as I am not sure if there is a problem with missing functionality.  From reading the official GNOME 2.28 release notes and various blogs, my understanding was that the new version of Evince would allow one to add annotations to files such as PDFs.


This functionality appears to be missing in the version of Evince that is bundled with the Fedora 12 Beta.  Is this so or am I just blind to it?



Version-Release number of selected component (if applicable):
Evince 2.28.0 (Fedora 12 Beta.)

How reproducible:
Not applicable.

Steps to Reproduce:
1. Click on a PDF file in order to open it in Evince.
2. Search for the new annotation tools that were apparently delivered in this release, according to the GNOME release notes and various blogs/reviews.
3. Annotation tools do not appear to be available on the main menu or in the right-click context menu.  I also looked under Edit->Toolbar and could not see any options there.
  
Actual results:
Functionality does not appear to be present.

Expected results:
Functionality should be present in this release...

Additional info:
I confirmed that the version number was indeed 2.28.0.  I tried to open several different files, in case it only works in some circumstances.  

Ultimately, I am either blind and cannot find it, the GNOME release notes are erroneous or, for some reason, we have chosen not to add this functionality yet, even though it is apparently available by default in the new GNOME.  

Can you please investigate and clarify what is happening?  Some members of the Red Hat documentation team are particularly interested in using this feature.

Comment 1 David Le Sage 2009-10-21 23:38:06 UTC
Just looking at the GNOME 2.28 release notes again, the wording is somewhat ambiguous:


"The Evince document viewer has added the ability to edit and save text annotations that have a popup window associated."

See:

http://library.gnome.org/misc/release-notes/2.28/#rnusers.evince




I presume that they are trying to say that the annotation can be displayed and edited from within a pop-up window associated with the document...

Comment 3 Bug Zapper 2009-11-16 14:01:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Marek Kašík 2010-08-03 13:42:44 UTC
Hi David,

you can edit text annotations which are already present in the document (this is probably meant by the "that have a popup window associated"). But unfortunately you can see such annotation only by moving mouse over it and looking for change of its cursor (the icon is not visible).
The origin of those release notes comes probably from http://carlosgc.linups.org/gnome/evince-2-27-1-with-annots.html. Fortunately there was an improvement in the annotation support in evince in last week and I hope that it will be possible to add new annotation to documents in Fedora 14 (see http://carlosgc.linups.org/gnome/). It depends mostly on new release of poppler now.

Regards

Marek

Comment 5 David Le Sage 2010-08-03 22:34:02 UTC
Hello Marek


Thanks for responding.  Okay, so it can only edit pre-existing annotations. I was really hoping you could add them as it would be handy for our workflow. I know it has been anticipated for a while. Sounds good if it will be added in F14.  


Cheers.

Comment 6 Marek Kašík 2010-11-03 15:34:40 UTC
Hi David,

current release of stable poppler (0.14.4) doesn't include the support for adding new annotations. So, it doesn't get into Fedora 14. But the support for adding text annotation is already in rawhide (Fedora 15).
I'm closing this with resolution rawhide.

Regards

Marek

Comment 7 Bug Zapper 2010-11-04 09:16:30 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.